Package org.springframework.security.core.userdetails

# Class UsernameNotFoundException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.core.AuthenticationException
org.springframework.security.core.userdetails.UsernameNotFoundException

All Implemented Interfaces:
  `Serializable`

public class UsernameNotFoundException extends AuthenticationException
Thrown if an `UserDetailsService` implementation cannot locate a `User` by its username.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UsernameNotFoundException(String msg)`
Constructs a `UsernameNotFoundException` with the specified message.
`UsernameNotFoundException(String msg, Throwable cause)`
Constructs a `UsernameNotFoundException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UsernameNotFoundException

public UsernameNotFoundException(String msg)
Constructs a `UsernameNotFoundException` with the specified message.

Parameters:
  `msg` - the detail message.

### UsernameNotFoundException

public UsernameNotFoundException(String msg, Throwable cause)
Constructs a `UsernameNotFoundException` with the specified message and root cause.

Parameters:
  `msg` - the detail message.
  `cause` - root cause